Update an evaluation datapoint
curl --request POST \
--url https://api.lmnr.ai/v1/evals/{eval_id}/datapoints/{datapoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scores": {},
"executorOutput": "<unknown>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.lmnr.ai/v1/evals/{eval_id}/datapoints/{datapoint_id}"
payload = {
"scores": {},
"executorOutput": "<unknown>",
"traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scores: {},
executorOutput: '<unknown>',
traceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lmnr.ai/v1/evals/{eval_id}/datapoints/{datapoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"3c90c3cc-0d44-4b50-8888-8dd25736052a"{
"error": "<string>"
}Evaluations
Update an evaluation datapoint
Updates a datapoint’s executor output, scores, and optional trace association.
POST
/
v1
/
evals
/
{eval_id}
/
datapoints
/
{datapoint_id}
Update an evaluation datapoint
Authorizations
A Laminar project API key.
Body
application/json
Response
Datapoint updated; returns the datapoint ID.
The response is of type string<uuid>.